Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Class ModeShapeConfiguration.SequencerBuilder<ReturnType>

    java.lang.Object
      org.modeshape.repository.ModeShapeConfiguration.BaseReturnable<ReturnType>
          org.modeshape.repository.ModeShapeConfiguration.GraphReturnable<ReturnType,ThisType>
              org.modeshape.repository.ModeShapeConfiguration.GraphComponentBuilder<ReturnType,ModeShapeConfiguration.SequencerDefinition<ReturnType>,StreamSequencer>
                  org.modeshape.repository.ModeShapeConfiguration.SequencerBuilder<ReturnType>

All Implemented Interfaces:
  ModeShapeConfiguration.ChooseClass<StreamSequencer,ModeShapeConfiguration.SequencerDefinition<ReturnType>>, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SequencerDefinition<ReturnType>, ModeShapeConfiguration.SetDescription<ModeShapeConfiguration.SequencerDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<ModeShapeConfiguration.SequencerDefinition<ReturnType>>

Enclosing class:
  ModeShapeConfiguration

    protected static class ModeShapeConfiguration.SequencerBuilder<ReturnType>

extends ModeShapeConfiguration.GraphComponentBuilder<ReturnType,ModeShapeConfiguration.SequencerDefinition<ReturnType>,StreamSequencer>
implements ModeShapeConfiguration.SequencerDefinition<ReturnType>

Field Summary

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`batch, context, path`

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`returnObject`

Constructor Summary
`protected` | `ModeShapeConfiguration.SequencerBuilder(ReturnType returnObject, Graph.Batch batch, Path path, Name... names)`

Method Summary
`Set<PathExpression>` | `getPathExpressions()` Get the path expressions from the saved configuration.
`ModeShapeConfiguration.SequencerDefinition<ReturnType>` | `sequencingFrom(PathExpression expression)` Specify the input `path expression`, which determines when this sequencer will be executed.
`ModeShapeConfiguration.PathExpressionOutput<ReturnType>` | `sequencingFrom(String fromPathExpression)` Specify the input `path expression` represented as a string, which determines when this sequencer will be executed.
`protected ModeShapeConfiguration.SequencerDefinition<ReturnType>` | `thisType()`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphComponentBuilder
`usingClass, usingClass`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`createIfMissing, createIfMissing, createIfMissing, getDescription, getName, getProperty, getProperty, remove, setDescription, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, subpath`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Returnable
`and`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetDescription
`getDescription, setDescription`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetProperties
`getProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.ChooseClass
`usingClass, usingClass`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Removable
`remove`

Constructor Detail

### ModeShapeConfiguration.SequencerBuilder

    protected ModeShapeConfiguration.SequencerBuilder(ReturnType returnObject,
                                                      Graph.Batch batch,
                                                      Path path,
                                                      Name... names)

Method Detail

### thisType

    protected ModeShapeConfiguration.SequencerDefinition<ReturnType> thisType()

  Specified by:
    `thisType` in class `ModeShapeConfiguration.GraphReturnable<ReturnType,ModeShapeConfiguration.SequencerDefinition<ReturnType>>`

### getPathExpressions

    public Set<PathExpression> getPathExpressions()

  Description copied from interface: `ModeShapeConfiguration.SequencerDefinition`
  Get the path expressions from the saved configuration.

  Specified by:
    `getPathExpressions` in interface `ModeShapeConfiguration.SequencerDefinition<ReturnType>`
  Returns:
    the set of path expressions; never null but possibly empty

### sequencingFrom

    public ModeShapeConfiguration.SequencerDefinition<ReturnType> sequencingFrom(PathExpression expression)

  Description copied from interface: `ModeShapeConfiguration.SequencerDefinition`
  Specify the input `path expression`, which determines when this sequencer will be executed.

  Specified by:
    `sequencingFrom` in interface `ModeShapeConfiguration.SequencerDefinition<ReturnType>`
  Parameters:
    `expression` - the path expression for nodes that, when they change, will be passed as an input to the sequencer
  Returns:
    the interface used to continue specifying the configuration of the sequencer

### sequencingFrom

    public ModeShapeConfiguration.PathExpressionOutput<ReturnType> sequencingFrom(String fromPathExpression)

  Description copied from interface: `ModeShapeConfiguration.SequencerDefinition`
  Specify the input `path expression` represented as a string, which determines when this sequencer will be executed.

  Specified by:
    `sequencingFrom` in interface `ModeShapeConfiguration.SequencerDefinition<ReturnType>`
  Parameters:
    `fromPathExpression` - the path expression for nodes that, when they change, will be passed as an input to the sequencer
  Returns:
    the interface used to specify the output path expression; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.